%{!?scl:%global pkg_name %{name}}
%{?scl:%scl_package rubygem-%{gem_name}}
%global gem_name bson

Summary: Ruby implementation of BSON
Name: %{?scl:%scl_prefix}rubygem-%{gem_name}
Version: 1.5.2
Release: 5%{?dist}
Group: Development/Ruby
License: Distributable
URL: http://www.mongodb.org
Source0: %{gem_name}-%{version}.gem
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: %{?scl:%scl_prefix}ruby
Requires: %{?scl:%scl_prefix}rubygems
BuildRequires: %{?scl:%scl_prefix}ruby 
BuildRequires: %{?scl:%scl_prefix}rubygems
BuildRequires: %{?scl:%scl_prefix}rubygems-devel
BuildArch: noarch
Provides: %{?scl:%scl_prefix}ruby(Bson) = %{version}
Provides: %{?scl:%scl_prefix}rubygem(%{gem_name}) = %{version}

%define gembuilddir %{buildroot}%{gem_dir}

%description
A Ruby BSON implementation for MongoDB. For more information about Mongo, see
http://www.mongodb.org. For more information on BSON, see
http://www.bsonspec.org.


%prep
%setup -T -c

%build

%install
%{__rm} -rf %{buildroot}
mkdir -p %{gembuilddir}
%{?scl:scl enable %scl "}
gem install --local --install-dir %{gembuilddir} --force %{SOURCE0}
%{?scl:"}

# Change from /usr/bin/ruby to /usr/bin/env ruby
find %{buildroot} -type f | \
  xargs sed -i -e 's"^#!/usr/bin/ruby"#!/usr/bin/env ruby"'
  
mkdir -p %{buildroot}/%{_bindir}
mv %{gembuilddir}/bin/* %{buildroot}/%{_bindir}
rmdir %{gembuilddir}/bin

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root)
%{_bindir}/b2json
%{_bindir}/j2bson
%{gem_dir}/gems/%{gem_name}-%{version}


%doc %{gem_dir}/doc/%{gem_name}-%{version}
%{gem_dir}/cache/%{gem_name}-%{version}.gem
%{gem_dir}/specifications/%{gem_name}-%{version}.gemspec

%changelog
* Wed Nov 07 2012 Thomas A. McGonagle <mcgonagle@redhat.com> - 1.5.2-5
- Release bump for OpenShift Enterprise Release

* Mon Jun 11 2012 Troy Dawson <tdawson@redhat.com> - 1.5.2-4
- Changed spec file to work with scl
- Rebuilt for scl


* Tue Jan 10 2012 Troy Dawson <tdawson@redhat.com> - 1.5.2-1
- Updated to version 
- added Provides: rubygem(bson)
- spec file cleanup

* Thu Nov 17 2011 Troy Dawson <tdawson@redhat.com> - 1.4.0-2
- Added %{?dist} to release

* Tue Nov 15 2011  <tdawson@redhat.com> - 1.4.0-1
- Initial package

